#!/bin/bash 

if [ ! -e actor.address ]; then
	echo "actor.address doesn't exist"
	exit 1
fi
export ACTOR_ADDRESS=$(cat actor.address)
export ACTOR_ROLE=JEF						# NOTE: JEF in hex = 4a4546


export INITIAL_LOVELACE=3000000             # The creation transaction will deposit 3ada
export MINIMUM_ADA=2000000                 # The minimum lovelace to be included with native token ouptut.

export AMT=17000000                       	# The amount = 17 ADA  (by default) 
if [ -f amount.txt ] 
then 
	export AMT=$(cat amount.txt)
fi

# --- policy aka currency ---
export POLICY_ID=""
export ACTOR_TOKEN=""
if [ -f policy_id.txt ] 
then 
	export POLICY_ID=$(cat policy_id.txt)
	export ACTOR_TOKEN="${POLICY_ID}.$ACTOR_ROLE"
fi


# --- contract and payout ---
export CONTRACT_ADDRESS=""
if [ -f contract.address ] 
then 
	export CONTRACT_ADDRESS=$(cat contract.address)
fi

export PAYOUT_ADDRESS=""
if [ -f payout.address ] 
then 
	export PAYOUT_ADDRESS=$(cat payout.address)
fi

