#!/bin/bash 
 
. ./00_setenv.sh

if [ -z "$POLICY_ID" ] 
then
	echo "Error: POLICY_ID is missing" 
	exit 1
fi

# create a simple contract that receives a deposit and then pays it out after a notification.
NOW=$(( $(date -u +%s) * 1000 ))
HOUR=$(( 60 * 60 * 1000 ))
cat > 09_contract.json << EOI
{
  "when": [
    {
      "case": {
        "party": {"role_token": "$ACTOR_ROLE"}, "deposits": $AMT,
        "of_token": {"currency_symbol": "", "token_name": ""},
        "into_account": {"role_token": "$ACTOR_ROLE"}
      },
      "then": {
        "when": [{"case": {"notify_if": true}, "then": "close"}],
      "timeout": $(( NOW + 12 * HOUR )), "timeout_continuation": "close"
      }
    }
  ],
  "timeout": $(( NOW + 10 * HOUR )), "timeout_continuation": "close"
}
EOI



cat > 09_state.json << EOJ
{
    "choices": [],
    "boundValues": [],
    "accounts": [
        [
            [
                {
                    "role_token": "$ACTOR_ROLE"
                },
                {
                    "currency_symbol": "",
                    "token_name": ""
                }
            ],
            $MINIMUM_ADA
        ]
    ],
    "minTime": 1
}
EOJ


