#!/bin/bash 

rm contract.address payout.address amount.txt

for (( i=1; i <= 1000 ; i=i+1 )) 
do
	echo >> tx.log
	echo "Start of iteration : $i ---- `date '+%Y%m%d-%Hh%M'`"  | tee -a tx.log

	echo "--- 08_create_contract.sh -------------------------------------------" | tee -a tx.log
	bash 08_create_contract.sh

	echo "--- 10_prepare_initialization.sh ------------------------------------" | tee -a tx.log
	bash 10_prepare_initialization.sh
	asnap actor.address contract.address payout.address | tee -a tx.log

	echo "--- 12_execute_initialization.sh ------------------------------------" | tee -a tx.log
	bash 12_execute_initialization.sh
	sleep 60 
	asnap actor.address contract.address payout.address | tee -a tx.log

	echo "--- 14_prepare_fund.sh ----------------------------------------------" | tee -a tx.log
	bash 14_prepare_fund.sh

	echo "--- 16_execute_fund.sh ----------------------------------------------" | tee -a tx.log
	bash 16_execute_fund.sh
	sleep 60 
	asnap actor.address contract.address payout.address | tee -a tx.log

	echo "--- 18_prepare_notify.sh --------------------------------------------" | tee -a tx.log
	bash 18_prepare_notify.sh
	
	echo "--- 20_execute_notify.sh --------------------------------------------" | tee -a tx.log
	bash 20_execute_notify.sh
	sleep 60 
	asnap actor.address contract.address payout.address | tee -a tx.log

	echo "--- 22_withdraw.sh --------------------------------------------------" | tee -a tx.log
	bash 22_withdraw.sh
	sleep 60 
	asnap actor.address contract.address payout.address | tee -a tx.log

	BALANCE=`echo '«printf "%.f" .AggregateAda»' | asnap - actor.address`
	echo "End of iteration $i ---- `date '+%Y%m%d-%Hh%M'` -- balance=$BALANCE " | tee -a tx.log
	echo >> tx.log

    if [ $BALANCE -lt 20 ]
    then
        echo "Bailing out after $i iterations, balance = $BALANCE"
        exit 0
    fi

	# next amount to use is a third of the balance (just for reasons of variety)
	echo $(( $BALANCE / 3 ))"000000" > amount.txt
done

